Subject: Re: [PATCH] Cleanup of unused symcache variable inside diff-lib.c

From: Junio C Hamano <[email-masked]>
Date: Sun, 11 Jan 2009 14:23:26 -0800

Kjetil Barvik <[email-masked]> writes:

> Johannes Schindelin <[email-masked]> writes:
> <snipp>
>> My question was more: why do you do additional work and put a git diff 
>> --raw between the commit message and the diffstat when that information is 
>> in the patch already?
>
>  Ok, I see.  I (re)used the 'git format-patch' command from previous
>  run, and this time it was (without the line-breaks):
>
>     git format-patch  --stat  --patch-with-raw -1 --signoff -M -C
>        --summary --full-index --subject-prefix="PATCH"
>        --output-directory ../diff_lib_c_symcache_cleanup_v1/

Please drop --patch-with-raw and --full-index.  They are distracting.

I do not think using --subject-prefix=PATCH to repeat what is default adds
any value either.